Get All Chargeback Notification Rules

Get All Chargeback Notification Rules
Get all the tenant notification rules defined in the system

Get all the tenant notification rules defined in the system

Request
URI
GET
https://{api_host}/suite-api/api/chargeback/notifications/rules
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

All the tenant notification rules defined in the system

Returns chargeback-notification-rules of type(s) application/json
"{\n  \"chargebackNotificationRules\" : [ {\n    \"id\" : \"dc8f46d7-c886-41f5-a6e2-30dbfc4dcbcb\",\n    \"resourceIds\" : [ \"93470b7e-e93b-492c-b9a0-cfda43ab938a\", \"c0752369-49f9-4d1f-b088-0c0f4e1d910c\" ],\n    \"alertDefinitionIds\" : [ \"AlertDefinition-10072e17-e2b1-45db-9eb0-f33732335635\", \"AlertDefinition-95b634ef-8c8d-4148-b637-288e01794712\" ],\n    \"name\" : \"TestRule2\",\n    \"enabled\" : true\n  }, {\n    \"id\" : \"dc8f46d7-c886-41f5-a6e2-30dbfc4dcbcb\",\n    \"resourceIds\" : [ \"93470b7e-e93b-492c-b9a0-cfda43ab938a\", \"c0752369-49f9-4d1f-b088-0c0f4e1d910c\" ],\n    \"alertDefinitionIds\" : [ \"AlertDefinition-10072e17-e2b1-45db-9eb0-f33732335635\", \"AlertDefinition-95b634ef-8c8d-4148-b637-288e01794712\" ],\n    \"name\" : \"TestRule\",\n    \"enabled\" : true\n  } ]\n}"
array of object
chargebackNotificationRules
Optional

List of tenant notification rules

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/chargeback/notifications/rules